List Port-In Orders
curl --request POST \
--url https://api.voxo.co/v2/admin/number-porting/port-in-order-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customerOrderReference": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/number-porting/port-in-order-list"
payload = { "customerOrderReference": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customerOrderReference: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/number-porting/port-in-order-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"orderId": 123,
"orderStatus": "<string>",
"customerOrderReference": "<string>",
"createdUser": "<string>",
"createdDate": "<string>",
"desiredDueDate": "<string>",
"tnQuantity": 123,
"type": "<string>",
"accountName": "<string>",
"focTnQuantity": 123,
"rejectedTnQuantity": 123,
"activatedTnQuantity": 123,
"excludedTnQuantity": 123,
"focList": {
"focItem": [
{
"tnQuantity": 123,
"focTnQuantity": 123,
"rejectedTnQuantity": 123,
"activatedTnQuantity": 123
}
]
},
"productName": "<string>",
"serviceOrderName": "<string>",
"focDate": "<string>",
"closedDate": "<string>",
"lastModifiedString": "<string>"
}
],
"totalRecords": 123,
"maxPage": 123,
"page": 123
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Number Porting
List Port-In Orders
List port-in orders filtered by reference, date range, or status
POST
/
v2
/
admin
/
number-porting
/
port-in-order-list
List Port-In Orders
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Customer order reference
Minimum string length:
3Created date start range
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Created date end range
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Order status
Available options:
INCOMPLT, PENDING, PCNCL, CNCL, CLSD Order type filter
Was this page helpful?
⌘I